Subject: bug#62071: openjdk@9/10 sources not reproducible

From: Simon Tournier <[email-masked]>
Date: Mon, 13 Mar 2023 14:50:51 +0100

Hi,

On dim., 12 mars 2023 at 22:00, Björn Höfling <[email-masked]> wrote:

> I compared for JDK9 the two tarballs (old and new hash) and there is no
> difference in the content (according to diffoscope). Also, if I
> hg-clone the repository/tag (and add the .hg_archival.txt file), all
> three directory trees have the same hash value according to guix hash
> -rx

So maybe it comes from some parameters of the compressor; maybe they
changed their level.  Well, I do not know how to check that.

Maybe the best is to switch from url-fetch to hg-fetch.  WDYT?

Cheers,
simon